Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util.property
Class FieldBoundPropertyListener

    java.lang.Object
      org.jboss.util.property.PropertyAdapter
          org.jboss.util.property.BoundPropertyAdapter
              org.jboss.util.property.FieldBoundPropertyListener

All Implemented Interfaces:
  BoundPropertyListener, EventListener, PropertyListener

public class FieldBoundPropertyListener
extends BoundPropertyAdapter

Binds property values to class fields.

Version:
  `$Revision: 1.3 $`
Author:
  Jason Dillon

Field Summary
`protected FieldInstance` | `fieldInstance` Field instance
`protected String` | `propertyName` Property name which we are bound to

Constructor Summary
`FieldBoundPropertyListener(Object instance, String fieldName)` Constructs a `FieldBoundPropertyListener`.
`FieldBoundPropertyListener(Object instance, String fieldName, String propertyName)` Constructs a `FieldBoundPropertyListener`.

Method Summary
`String` | `filterValue(String value)` Filter the property value prior to coercing and binding to field.
`String` | `getPropertyName()` Get the property name which this listener is bound to.
`void` | `propertyAdded(PropertyEvent event)` Notifies that a property has been added.
`void` | `propertyBound(PropertyMap map)` Notifies that this listener was bound to a property.
`void` | `propertyChanged(PropertyEvent event)` Notifies that a property has changed
`protected void` | `setFieldValue(String value)` Coerce and set specified value to field.

Methods inherited from class org.jboss.util.property.BoundPropertyAdapter
`propertyUnbound`

Methods inherited from class org.jboss.util.property.PropertyAdapter
`propertyRemoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.property.PropertyListener
`propertyRemoved`

Field Detail

### propertyName

    protected final String propertyName

  Property name which we are bound to

### fieldInstance

    protected final FieldInstance fieldInstance

  Field instance

Constructor Detail

### FieldBoundPropertyListener

    public FieldBoundPropertyListener(Object instance,
                                      String fieldName,
                                      String propertyName)

  Constructs a `FieldBoundPropertyListener`.

Parameters:
  `instance` - Instance object.
  `fieldName` - Field name.
  `propertyName` - Property to bind to.
Throws:
  `NullArgumentException` - Property name is `null`.

### FieldBoundPropertyListener

    public FieldBoundPropertyListener(Object instance,
                                      String fieldName)

  Constructs a `FieldBoundPropertyListener`.

  Field name is used for property name.

Parameters:
  `instance` - Instance object.
  `fieldName` - Field name.

Method Detail

### getPropertyName

    public final String getPropertyName()

  Get the property name which this listener is bound to.

  Returns:
    Property name.

### filterValue

    public String filterValue(String value)

  Filter the property value prior to coercing and binding to field.

  Allows instance to filter values prior to object coercion and field binding.

  Parameters:
    `value` - Property value.

### setFieldValue

    protected void setFieldValue(String value)

  Coerce and set specified value to field.

  Parameters:
    `value` - Field value.
  Throws:
    `PropertyException` - Failed to set field value.

### propertyAdded

    public void propertyAdded(PropertyEvent event)

  Notifies that a property has been added.

  Specified by:
    `propertyAdded` in interface `PropertyListener`
  Overrides:
    `propertyAdded` in class `PropertyAdapter`
  Parameters:
    `event` - Property event.

### propertyChanged

    public void propertyChanged(PropertyEvent event)

  Notifies that a property has changed

  Specified by:
    `propertyChanged` in interface `PropertyListener`
  Overrides:
    `propertyChanged` in class `PropertyAdapter`
  Parameters:
    `event` - Property event

### propertyBound

    public void propertyBound(PropertyMap map)

  Notifies that this listener was bound to a property.

  Specified by:
    `propertyBound` in interface `BoundPropertyListener`
  Overrides:
    `propertyBound` in class `BoundPropertyAdapter`
  Parameters:
    `map` - PropertyMap which contains property bound to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.